// ======================================================================
//  MainWindow.h
// ======================================================================
//  Copyright (c) 2012 by Max Schlee
//
//  Email : Max.Schlee@neonway.com
//  Blog  : http://www.maxschlee.com
//
//  Social Networks
//  ---------------
//  FaceBook     : http://www.facebook.com/mschlee
//  Twitter      : http://twitter.com/Max_Schlee
//  2Look.me     : http://2look.me/NW100003
//  Xing         : http://www.xing.com/profile/Max_Schlee
//  VKontakte.ru : http://vk.com/max.schlee 
// ======================================================================

#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtGui/QMainWindow>

class QPushButton;
class QLCDNumber;
class QSlider;

class MainWindow : public QWidget
{
    Q_OBJECT
    
private:
    QPushButton* m_pcmdReset;
    QPushButton* m_pcmdQuit;
    QLCDNumber*  m_plcd;
    QSlider*     m_psld;

public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();

private slots:
    void slotReset();
};

#endif // MAINWINDOW_H
